<?php

namespace App\Entity;

use App\Repository\ImageImageRepositoryRepository;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;

#[ORM\Entity(repositoryClass: ImageImageRepositoryRepository::class)]
class ImageImageRepository extends AbstractEntity
{
    #[ORM\ManyToOne(targetEntity: Image::class, cascade: ['persist'], inversedBy: 'imageImageRepositories')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Image $image = null;

    #[ORM\ManyToOne(targetEntity: ImageRepository::class, cascade: ['persist'], inversedBy: 'imageImageRepositories')]
    #[ORM\JoinColumn(nullable: false)]
    private ?ImageRepository $repository = null;

    #[ORM\Column(length: 255)]
    private ?string $status = null;

    #[ORM\Column(nullable: true)]
    private ?bool $created = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $partitionInfo = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $imageFullsum = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $datasize = null;

    #[ORM\Column(nullable: true)]
    private ?int $version = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $description = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    public function getImage(): ?Image
    {
        return $this->image;
    }

    public function setImage(?Image $image): static
    {
        $this->image = $image;

        return $this;
    }

    public function getRepository(): ?ImageRepository
    {
        return $this->repository;
    }

    public function setRepository(?ImageRepository $repository): static
    {
        $this->repository = $repository;

        return $this;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function setStatus(string $status): static
    {
        $this->status = $status;

        return $this;
    }

    public function getCreated(): ?bool
    {
        return $this->created;
    }

    public function setCreated(?bool $created): static
    {
        $this->created = $created;

        return $this;
    }

    public function getPartitionInfo(): ?string
    {
        return $this->partitionInfo;
    }

    public function setPartitionInfo(?string $partitionInfo): static
    {
        $this->partitionInfo = $partitionInfo;

        return $this;
    }

    public function getImageFullsum(): ?string
    {
        return $this->imageFullsum;
    }

    public function setImageFullsum(?string $imageFullsum): static
    {
        $this->imageFullsum = $imageFullsum;

        return $this;
    }

    public function getDatasize(): ?string
    {
        return $this->datasize;
    }

    public function setDatasize(?string $datasize): static
    {
        $this->datasize = $datasize;

        return $this;
    }

    public function getVersion(): ?int
    {
        return $this->version;
    }

    public function setVersion(?int $version): static
    {
        $this->version = $version;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(?string $description): static
    {
        $this->description = $description;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }
}
